.coming-soon-page {
  .e-body {
    .fold {
      &.three {
        &.mobile {
          @import '../../../themes/variables/font';
          @import '../../../themes/variables/color';
          @import '../../../themes/mixins/animation';
          @import '../../../themes/mixins/utils';
          @import '../../../themes/mixins/media';

          $padding-v: 6.8%;
          $padding-h: 8%;
          $transition-duration: 1s;

          @mixin appear-animation {
            animation: appear 1s;
          }

          display: flex;
          position: relative;
          flex-direction: column;
          z-index: 99;

          padding-top: 12.2rem;

          max-width: 100vw !important;

          .section {
            display: flex;
            position: relative;
            align-items: center;
            justify-content: center;

            background-position: left top;
            background-repeat: repeat;

            min-height: 50%;

            .title {
              p {
                font-family: $specific-font-1;
                font-size: 4rem;
                letter-spacing: 0;
                line-height: normal;
                user-select: none;
                white-space: nowrap;
              }
            }

            /* NORMAL STATE */
            .cover {
              position: relative;

              .cover-container {
                display: flex;
                align-items: center;

                .mask {
                  width: 7rem;
                  height: 13.2rem;
                }

                .title {
                  position: absolute;
                  left: 0;
                  transform: translate(-36%, -36%);
                  text-align: center;
                }
              }

              /* FORM SWITCHER */
              .toogle-bar {
                display: inline-block;
                border-radius: 0.2rem;
                background-color: $blue-1;

                @include appear-animation;
                transform: translateY(-50%);

                width: 5.4rem;
                height: 0.4rem;
              }
            }

            /* ACTIVE STATE */
            .form {
              display: flex;
              flex-direction: column;
              justify-content: center;

              padding: 3.6rem 4.3rem;

              width: 100vw;
              min-width: calc(100vw - 4.4rem * 2);

              .title,
              .text-guide {
                text-align: center;
              }

              .title {
                margin-bottom: 3.1rem;
              }

              .text-guide {
                margin-bottom: 3.8rem;

                font-size: 1.4rem;
                font-weight: 300;
              }

              .input-area {
                margin-bottom: 1rem;

                .text-label {
                  display: flex;
                  justify-content: flex-start;

                  width: 100%;

                  color: $brown-1;
                  font-size: 1.4rem;
                  font-weight: 300;
                }

                .text-field {
                  margin-top: 0.4rem;
                  background-color: rgba(255, 255, 255, 0.24);
                  padding: 0.8rem;

                  width: 100%;
                  min-height: 4rem;

                  color: $white;
                  font-size: 1.6rem;

                  &:focus {
                    outline: none;
                  }

                  &.message {
                    min-height: 12rem;
                  }
                }
              }

              .actions {
                display: flex;
                position: relative;
                flex-direction: column;
                align-items: center;
                justify-content: center;

                margin-top: 2.4rem;

                .response-message {
                  position: absolute;
                  top: -2.4rem;

                  color: $white;
                  font-size: 1.3rem;
                  font-weight: 300;
                }

                .button {
                  justify-content: center;

                  width: 100%;
                  height: 4rem;

                  .button-label {
                    font-size: 1.8rem;
                    line-height: normal;
                  }
                }
              }
            }

            &.top {
              transition: min-height $transition-duration;
              background-color: $blue-1;
              background-image: url('/media/image/coming-soon/fold-3/mobile/background-1.png');
              background-size: auto 116%;

              .title {
                &,
                p {
                  color: $brown-1;
                }
              }
            }

            &.bottom {
              transition: min-height $transition-duration;
              background-color: $brown-1;
              background-image: url('/media/image/coming-soon/fold-3/mobile/background-2.png');
              background-size: auto 108%;

              .title {
                &,
                p {
                  color: $blue-1;
                }
              }
            }
          }

          /* TOP ACTIVE */
          &.top-active {
            .section {
              background-image: initial;

              &.top {
                z-index: 2;
                background-color: $blue-1;
                min-height: 94%;

                .form {
                  @include appear-animation;

                  .button {
                    background-color: $brown-1;

                    .button-label {
                      color: $blue-1;
                    }
                  }
                }
              }

              &.bottom {
                z-index: 1;
                min-height: 6%;
              }
            }
          }

          /* BOTTOM ACTIVE */
          &.bottom-active {
            .section {
              background-image: initial;

              &.top {
                z-index: 1;
                min-height: 6%;

                .cover {
                  .toogle-bar {
                    background-color: $brown-1;
                  }
                }
              }

              &.bottom {
                z-index: 2;
                background-color: $brown-1;
                min-height: 94%;

                .form {
                  @include appear-animation;

                  .text-guide {
                    color: $blue-1;
                  }

                  .input-area {
                    .text-label {
                      color: $blue-1;
                    }
                  }

                  .button {
                    background-color: $blue-1;

                    .button-label {
                      color: $brown-1;
                    }
                  }
                }
              }
            }
          }
        }
      }
    }
  }
}
